Bug 648598 - perl-Term-ProgressBar is missing a dependency on perl-TermReadKey
Summary: perl-Term-ProgressBar is missing a dependency on perl-TermReadKey
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-Term-ProgressBar
Version: rawhide
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Marcela Mašláňová
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-01 17:38 UTC by Matthew Booth
Modified: 2010-11-10 21:45 UTC (History)
2 users (show)

Fixed In Version: perl-Term-ProgressBar-2.09-9.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-10 21:40:19 UTC
Type: ---


Attachments (Terms of Use)

Description Matthew Booth 2010-11-01 17:38:30 UTC
Description of problem:
While perl-Term-ProgressBar can function without Term::ReadKey, it cannot detect the width of a window, making the progress bar less than entirely useful. The spec file is relying on automatic dependencies, but doesn't pick up Term::ReadKey because the source doesn't 'use' it:

  eval {
    require Term::ReadKey;
  }; if ($@) {
    warn "Guessing terminal width due to problem with Term::ReadKey\n";
    return 50;
  }

perl-TermReadKey was previously in limbo, but now seems to be included. perl-Term-ProgressBar should depend on it, as the experience without it is poor.

I've filed this against rawhide, but it applies equally to F13 and F14. perl-TermReadKey is now available in all 3 places. I've attached a spec file patch.

Version-Release number of selected component (if applicable):
perl-Term-ProgressBar-2.09-8

Comment 1 Marcela Mašláňová 2010-11-02 07:21:04 UTC
Thanks for letting us know. I'll fix it in all mentioned releases. Please test it and add karma in bodhi.

Comment 2 Fedora Update System 2010-11-02 08:54:24 UTC
perl-Term-ProgressBar-2.09-9.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/perl-Term-ProgressBar-2.09-9.fc13

Comment 3 Fedora Update System 2010-11-02 08:55:31 UTC
perl-Term-ProgressBar-2.09-9.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/perl-Term-ProgressBar-2.09-9.fc14

Comment 4 Fedora Update System 2010-11-02 22:15:09 UTC
perl-Term-ProgressBar-2.09-9.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Term-ProgressBar'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/perl-Term-ProgressBar-2.09-9.fc14

Comment 5 Fedora Update System 2010-11-10 21:40:14 UTC
perl-Term-ProgressBar-2.09-9.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2010-11-10 21:45:11 UTC
perl-Term-ProgressBar-2.09-9.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.